import { ComponentFixture, TestBed } from '@angular/core/testing';

import { ListenerDetailsPoolsComponent } from './listener-details-pools.component';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { MatDialogModule } from '@angular/material/dialog';

describe('ListenerDetailsPoolsComponent', () => {
  let component: ListenerDetailsPoolsComponent;
  let fixture: ComponentFixture<ListenerDetailsPoolsComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ ListenerDetailsPoolsComponent ],
      imports: [
        HttpClientTestingModule, RouterTestingModule, MatDialogModule,
      ],
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(ListenerDetailsPoolsComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
